Summary:	A progman to extract EPG information from MPEG-TS 
Summary(ja): 	MPEG-TS に含まれる EPG 情報を XML で出力するプログラム
Name:		epgdump
Version:	r2
Release: 	1%{?_dist_release}
Source0:	http://2sen.dip.jp/cgi-bin/friioup/source/up0027.zip
Source1:	http://2sen.dip.jp/cgi-bin/hdusup/source/up0036.gz
Source2:	http://2sen.dip.jp/cgi-bin/hdusup/source/up0200.gz
License:	distributable (see README files for detail)
Group:		Applications/Multimedia
#URL:		

#Requires:	
#BuildRequires:	
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	kazutaka


%description
Epgrec is a progman to extract EPG (Electronic Program Guide)
information from MPEG-TS.

%description -l ja
epgdump は MPEG-TS に含まれる EPG (Electronic Program Guide:
電子番組表) 情報を XML で出力するプログラムです。


%prep
%setup -q -n %{name}%{version} -c
pushd epgdumpr2
gzip -dc %{SOURCE1}  | patch -p1
gzip -dc %{SOURCE2}  | patch -p1
popd


%build
pushd %{name}%{version}
%{__make}
popd


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__install} -D -m 755 epgdumpr2/%{name} ${RPM_BUILD_ROOT}/%{_bindir}/%{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc epgdumpr2/readme.txt
#%doc epgrecd
%{_bindir}/%{name}

%changelog
* Mon Nov 23 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> r2-1
- initial build for Vine Linux

