#%define python_sitelib %(python -c 'from distutils.sysconfig import get_python_lib; print get_python_lib(0)')
#%define python_platlib %(python -c 'from distutils.sysconfig import get_python_lib; print get_python_lib(1)')
%define tornado tornado
Summary: Tornado is a web server and tools
Summary(ja): Tornado 高速 Web フレームワーク
Name: python-%{tornado}
Group: Development/Web Applications
Version: 0.2
Release: 2%{?_dist_release}
License: Apache Licence, Version 2.0
URL: http://www.tornadoweb.org/
Source0: %{url}/static/%{tornado}-%{version}.tar.gz
Requires: python >= 2.5
Requires: python-pycurl python-simplejson
BuildRequires: python-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Packager: <owa>
Vendor: Project Vine
Distribution: Vine Linux

%description
Tornado is an open source version of the scalable, non-blocking web server
and and tools that power FriendFeed. Documentation and downloads are
available at http://www.tornadoweb.org/

Tornado is licensed under the Apache Licence, Version 2.0
(http://www.apache.org/licenses/LICENSE-2.0.html).

%prep
%setup -q -n %{tornado}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --prefix=$RPM_BUILD_ROOT/usr

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{tornado}-%{version}
cp -a demos $RPM_BUILD_ROOT/%{_datadir}/%{tornado}-%{version}/
chmod 644 $RPM_BUILD_ROOT/%{_datadir}/%{tornado}-%{version}/demos/django/testdjango/testapp/tests.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc PKG-INFO README
#%{python_sitearch}
%{_datadir}/%{tornado}-%{version}/demos/appengine
%{_datadir}/%{tornado}-%{version}/demos/auth
%{_datadir}/%{tornado}-%{version}/demos/blog
%{_datadir}/%{tornado}-%{version}/demos/chat
%{_datadir}/%{tornado}-%{version}/demos/django
%{_datadir}/%{tornado}-%{version}/demos/facebook
%{_datadir}/%{tornado}-%{version}/demos/helloworld
%{_datadir}/%{tornado}-%{version}/demos/wsgi

%changelog
* Tue Feb 02 2010 Shu KONNO <owa@bg.wakwak.com> 0.2-2
- rebuild with python-2.6

* Sun Sep 20 2009 Shu KONNO <owa@bg.wakwak.com> 0.2-1
- initial build for VineSeed

