Summary: Virtual package for TeX Live
Summary(ja): TeX Live のための仮想パッケージ
Name: task-texlive
Version: 2009
Release: 1%{?_dist_release}
License: public domain
Group: Applications/Publishing
BuildArch: noarch

Requires: texlive-common = %{version}
Requires: texlive-collection-latexextra = %{version}
Requires: texlive-collection-luatex = %{version}
Requires: texlive-collection-pictures = %{version}
Requires: texlive-collection-genericrecommended = %{version}
Requires: texlive-collection-pstricks = %{version}
Requires: texmacro-otf >= 1.5.6.1

Obsoletes: task-tetex <= 3.0
Obsoletes: task-platex pk300

BuildRoot: %{_tmppath}/%{name}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: munepi

%description
This is a virtual package to install TeX Live related packages.  
If you use apt-get for RPM, This package will install many packages 
related to TeX Live automatically.

%description -l ja
TeX Live 関係のパッケージを
簡単にインストールするための仮想パッケージです。
apt-getを使ってこのパッケージをインストールすることで、
多くの TeX Live 関係のパッケージをインストールすることができます。

%package doc
Summary: Virtual package for documentation packages of %{name}
Summary(ja): %{name} のドキュメントパッケージのための仮想パッケージ
Group: Applications/Publishing
Requires: %{name} = %{version}-%{release}
Requires: texlive-doc = %{version}
Requires: texlive-collection-latexextra-doc = %{version}
Requires: texlive-collection-luatex-doc = %{version}
Requires: texlive-collection-pictures-doc = %{version}
Requires: texlive-collection-genericrecommended-doc = %{version}
Requires: texlive-collection-pstricks-doc = %{version}

%description doc
This package is a virtual package to install documentation packages of %{name}. 

%description doc -l ja
%{name} のドキュメントパッケージのための仮想パッケージです。

%files

%files doc


%changelog
* Sat Jul 31 2010 Munehiro Yamamoto <munepi@vinelinux.org> 2009-1
- initial release
