Name: compiz-bcop
Version: 0.8.2
Release: 1%{?_dist_release}
Summary: Compiz option code generator       
Summary(ja): Compiz オプションコードジェネレータ

Group: Development/Libraries
License: GPLv2+       
URL: http://compiz-fusion.org            
Source0:  http://releases.compiz-fusion.org/0.7.8/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

# compiz is not available on these arches due to missing libdrm
ExcludeArch: s390 s390x ppc64
BuildArch: noarch

BuildRequires: libxslt-devel
Requires: pkgconfig 
Requires: util-linux

%description
BCOP is a code generator that provides an easy way to handle
plugin options by generating parts of the plugin code directly
from the xml metadata file.
It is used for most of the Compiz Fusion plugins

%description -l ja
BCOP は compiz のプラグインオプションを簡単に取り扱えるようにするコード
ジェネレータです。xml メタデータファイルからプラグインコードの断片を生成
します。
多くの Compiz Fusion プラグインで利用されています。


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/bcop
%{_datadir}/bcop/
%{_datadir}/pkgconfig/bcop.pc
%doc COPYING NEWS


%changelog
* Mon May 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.8.2-1
- new upstream release

* Sat Oct 11 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.8-1
- new upstream release

* Wed Jun 11 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.6-1
- new upstream release

* Mon May 19 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.4-1
- new upstream release

* Sat May 10 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.2-1
- initial build for Vine Linux

* Mon Mar 24 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.2-1
- Update to 0.7.2

* Mon Oct 22 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.6.0-1
- Update to 0.6.0

* Thu Aug 22 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.5.2-2
- Add missing Requires

* Sat Aug 18 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.5.2-1
- Initial build

