Summary: a simple network library built upon GLib
Name: gnet2
Version: 2.0.7
Release: 1%{?_dist_release}
URL: http://www.gnetlibrary.org/
Source0: http://www.gnetlibrary.org/src/gnet-%{version}.tar.gz
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: glib2-devel

%description
GNet is a simple network library.  It is written in C,
object-oriented, and built upon GLib.  It is intended to be easy to
use and port.  GNet comes with documentation and examples.  It is
licensed under the GNU Library General Public Licence.

%package devel
Summary: the Gnet library
Group: Development/Libraries
Requires: gnet2 = %{version}-%{release}
Requires: glib2-devel

%description devel
the Gnet library

%prep
%setup -q -n gnet-%{version}

%build
%configure --with-html-dir=%{_datadir}/gtk-doc/html
make

%install
rm -rf %{buildroot}
%makeinstall HTML_DIR=%{buildroot}%{_datadir}/gtk-doc/html

## remove unuse files
pushd examples
  %{__rm} -f *.o
popd
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la


%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog HACKING NEWS README TODO examples
%{_libdir}/libgnet-*.so.*

%files devel
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/gnet
%{_datadir}/aclocal/gnet-2.0.m4
%{_libdir}/pkgconfig/gnet-2.0.pc
%{_libdir}/gnet-2.0/include/*.h
%{_libdir}/libgnet-*a
%{_libdir}/libgnet-*.so
%{_includedir}/gnet-2.0
%dir %{_libdir}/gnet-2.0
%dir %{_libdir}/gnet-2.0/include

%changelog
* Sat Sep 20 2008 Shu KONNO <owa@bg.wakwak.com> 2.0.7-1vl5
- applied new versioning policy
- removed *.la

* Mon Aug  6 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.7-0vl2
- changed Group to System Environmet/Libraries
- added BuildRequires: glib2-devel

* Thu Apr  6 2006 IWAI, Masaharu <iwai@alib.jp> 2.0.7-0vl1
- new upstream release

* Sun May  2 2004 IWAI, Masaharu <iwai@alib.jp> 2.0.5-0vl1
- new upstream release
- add %%{_libdir}/gnet-2.0{,/include} directory in devel package's %%files

* Sat Jan 31 2004 IWAI, Masaharu <iwai@alib.jp> 2.0.4-0vl2
- add Requires: gnet2-%%{version} in gnet2-devel package
    thanks to Shaolin: [VineSeed-Plus:02077]

* Wed Jan 21 2004 IWAI, Masaharu <iwai@alib.jp> 2.0.4-0vl1
- Initial build.

