Summary:      Portable C library for dynamically generating PDF files.
Summary(ja):  PDF եʥߥå C 饤֥
Name:         pdflib
Version:      4.0.1
Release:      0vl3
Group:        Development/Libraries
Copyright:    Aladdin Free Public License
URL:          http://www.pdflib.com/
Source:       http://www.pdflib.com/pdflib/download/%{name}-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-root

Vendor:       Project Vine
Distribution: Vine Linux


%description
PDFlib is a C library for generating PDF files. It offers a graphics
API with support for drawing, text, fonts, images, and hypertext. Call PDFlib
routines from within your client program and voila: dynamic PDF files!
For detailed instructions on PDFlib programming and the associated API,
see the PDFlib Programming Manual, included in PDF format in the
PDFlib distribution.

%description -l ja
PDFlib  PDF եΤ˻Ȥ C Υ饤֥Ǥ
ե API 󶡤Ƥꡤ޷ƥȡեȡ
ϥѡƥݡȤƤޤPDFlib Υ롼
ץफѤСʥߥå PDF եν夬Ǥ
PDFlib ץߥ󥰤 API ˴ؤ뤯路ϡPDFlib ץߥ
ޥ˥奢˽񤫤Ƥꡤ PDF ե뤬°Ƥޤ


%package devel
Group:       Development/Libraries
Summary:     Header file for pdflib
Summary(ja): PDFlib ѤΥإåե


%description devel
This package contains the files needed for compiling programs using
the PDF library.

%description devel -l ja
Υѥåˤ PDF 饤֥ȤäץΥѥ
ɬפʳƼե뤬Ƥޤ


#%package perl5
#Group:       Development/Libraries
#Summary:     PDFlib bindings for Perl5
#Summary(ja): Perl5  PDFlib Хǥ
#
#
#%description perl5
#This package contains perl bindings for the pdflib library.
#
#%description perl5 -l ja
#Υѥåˤ PDFlib 饤֥ؤ Perl Хǥ󥰤
#Ƥޤ


#%package python1.5
#Group:       Development/Libraries
#Summary:     PDFlib bindings for Python 1.5
#Summary(ja): Python 1.5  PDFlib Хǥ
#
#
#%description python1.5
#This package contains python bindings for the pdflib library.
#
#%description python1.5 -l ja
#Υѥåˤ PDFlib 饤֥ؤ Python Хǥ󥰤
#Ƥޤ


#%package tcl8.0
#Group:       Development/Libraries
#Summary:     PDFlib bindings for Tcl 8.0
#Summary(ja): Tcl 8.0  PDFlib Хǥ
#
#
#%description tcl8.0
#This package contains tcl bindings for the pdflib library.
#
#%description tcl8.0 -l ja
#Υѥåˤ PDFlib 饤֥ؤ Tcl Хǥ󥰤
#Ƥޤ


#%package java1.2
#Group:       Development/Libraries
#Summary:     PDFlib bindings for Java 1.2
#Summary(ja): Java 1.2  PDFlib Хǥ
#
#
#%description java1.2
#This package contains java bindings for the pdflib library.
#
#%description java1.2 -l ja
#Υѥåˤ PDFlib 饤֥ؤ Java Хǥ󥰤
#Ƥޤ


%prep
%setup -q


%build
%configure --with-perl=no --with-py=no --with-tcl=no --with-java=no
make


%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
%makeinstall


%clean
rm -rf ${RPM_BUILD_ROOT}


%post
/sbin/ldconfig


%postun
/sbin/ldconfig


#%post java1.2
#/sbin/ldconfig


#%postun java1.2
#/sbin/ldconfig


%files
%defattr(-,root,root)
%attr(755,root,root) %{_libdir}/libpdf.so.*
%{_libdir}/libpdf.la
%{_bindir}/*


%files devel
%defattr(-,root,root)
%doc readme.txt doc/*
%{_includedir}/pdflib.h
%{_libdir}/libpdf.a
%{_libdir}/libpdf.so


#%files perl5
#%defattr(-,root,root)
#/usr/lib/perl5


#%files python1.5
#%defattr(-,root,root)
#/usr/lib/python1.5


#%files tcl8.0
#%defattr(-,root,root)
#/usr/lib/tcl8.0


#%files java1.2
#%defattr(-,root,root)
#%doc /usr/local/jdk1.2/docs
#/usr/lib/libpdf_java.*
#/usr/local/jdk1.2/jre



%changelog
* Sun Sep 02 2001 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 4.0.1-0vl3
- fixed %%defattr

* Fri Jun 22 2001 <sagami@vinelinux.org>
- 4.0.1-0vl2: correct Group

* Thu Jun 21 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- updated to new upstream 4.0.1 release
- disable {perl,python,tcl} subpackages at the moment

* Sun May 20 2001 Henrik Seidel <Henrik.Seidel@gmx.de>
- upgraded to 4.0.0

* Thu Oct 19 2000 Henrik Seidel <Henrik.Seidel@gmx.de>
- upgraded to 3.02

* Thu Mar  9 2000 Henrik Seidel <Henrik.Seidel@gmx.de>
- upgraded to 3.0

* Tue Sep 14 1999 Henrik Seidel <Henrik.Seidel@gmx.de>
- upgraded to 2.01

* Tue Jul 27 1999 Henrik Seidel <Henrik.Seidel@gmx.de>
- initial revision
