Summary: Virtual package installing all components of TeX Live
Summary(ja): すべての TeX Live 構成パッケージをインストールするための仮想パッケージ
Name: task-texlive-full
Version: 2009
Release: 1%{?_dist_release}
License: public domain
Group: Applications/Publishing
BuildArch: noarch

Requires: task-texlive = %{version}

## The following list is obtained by running: 
## $ tlpdb2rpmspec --full-collections
## $ ls -1 texlive-collection-* | grep -v -e "-doc-" -e "-documentation-" | sed -e "s,^,Requires: ,g" -e "s,-2009.*, = %{version},g"
## on ${HOME}/rpm/RPMS/noarch
Requires: texlive-collection-basic = %{version}
Requires: texlive-collection-bibtexextra = %{version}
Requires: texlive-collection-binextra = %{version}
Requires: texlive-collection-context = %{version}
Requires: texlive-collection-fontsextra = %{version}
Requires: texlive-collection-fontsrecommended = %{version}
Requires: texlive-collection-fontutils = %{version}
Requires: texlive-collection-formatsextra = %{version}
Requires: texlive-collection-games = %{version}
Requires: texlive-collection-genericextra = %{version}
Requires: texlive-collection-genericrecommended = %{version}
Requires: texlive-collection-htmlxml = %{version}
Requires: texlive-collection-humanities = %{version}
Requires: texlive-collection-langafrican = %{version}
Requires: texlive-collection-langarabic = %{version}
Requires: texlive-collection-langarmenian = %{version}
Requires: texlive-collection-langcjk = %{version}
Requires: texlive-collection-langcroatian = %{version}
Requires: texlive-collection-langcyrillic = %{version}
Requires: texlive-collection-langczechslovak = %{version}
Requires: texlive-collection-langfinnish = %{version}
Requires: texlive-collection-langfrench = %{version}
Requires: texlive-collection-langgerman = %{version}
Requires: texlive-collection-langgreek = %{version}
Requires: texlive-collection-langhebrew = %{version}
Requires: texlive-collection-langhungarian = %{version}
Requires: texlive-collection-langindic = %{version}
Requires: texlive-collection-langitalian = %{version}
Requires: texlive-collection-langlithuanian = %{version}
Requires: texlive-collection-langmongolian = %{version}
Requires: texlive-collection-langpolish = %{version}
Requires: texlive-collection-langportuguese = %{version}
Requires: texlive-collection-langspanish = %{version}
Requires: texlive-collection-langswedish = %{version}
Requires: texlive-collection-langtibetan = %{version}
Requires: texlive-collection-langvietnamese = %{version}
Requires: texlive-collection-latex = %{version}
Requires: texlive-collection-latex3 = %{version}
Requires: texlive-collection-latexextra = %{version}
Requires: texlive-collection-latexrecommended = %{version}
Requires: texlive-collection-luatex = %{version}
Requires: texlive-collection-mathextra = %{version}
Requires: texlive-collection-metapost = %{version}
Requires: texlive-collection-music = %{version}
Requires: texlive-collection-omega = %{version}
Requires: texlive-collection-pictures = %{version}
Requires: texlive-collection-plainextra = %{version}
Requires: texlive-collection-pstricks = %{version}
Requires: texlive-collection-publishers = %{version}
Requires: texlive-collection-science = %{version}
Requires: texlive-collection-texinfo = %{version}
Requires: texlive-collection-xetex = %{version}

BuildRoot: %{_tmppath}/%{name}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: munepi

%description
This package is a virtual package installing all components of TeX Live. 

%description -l ja
すべての TeX Live 構成パッケージをインストールするための仮想パッケージです。

%package doc
Summary: Virtual package for documentation packages of %{name}
Summary(ja): %{name} のドキュメントパッケージのための仮想パッケージ
Group: Applications/Publishing
Requires: %{name} = %{version}-%{release}
Requires: task-texlive-doc = %{version}
## The following list is obtained by running: 
## $ tlpdb2rpmspec --full-collections
## $ ls -1 texlive-collection-* | grep -e "-doc-" -e "-documentation-" | sed -e "s,^,Requires: ,g" -e "s,-2009.*, = %{version},g"
## on ${HOME}/rpm/RPMS/noarch
Requires: texlive-collection-basic-doc = %{version}
Requires: texlive-collection-bibtexextra-doc = %{version}
Requires: texlive-collection-binextra-doc = %{version}
Requires: texlive-collection-context-doc = %{version}
Requires: texlive-collection-documentation-arabic = %{version}
Requires: texlive-collection-documentation-bulgarian = %{version}
Requires: texlive-collection-documentation-chinese = %{version}
Requires: texlive-collection-documentation-czechslovak = %{version}
Requires: texlive-collection-documentation-dutch = %{version}
Requires: texlive-collection-documentation-english = %{version}
Requires: texlive-collection-documentation-finnish = %{version}
Requires: texlive-collection-documentation-french = %{version}
Requires: texlive-collection-documentation-german = %{version}
Requires: texlive-collection-documentation-italian = %{version}
Requires: texlive-collection-documentation-japanese = %{version}
Requires: texlive-collection-documentation-korean = %{version}
Requires: texlive-collection-documentation-mongolian = %{version}
Requires: texlive-collection-documentation-polish = %{version}
Requires: texlive-collection-documentation-portuguese = %{version}
Requires: texlive-collection-documentation-russian = %{version}
Requires: texlive-collection-documentation-slovenian = %{version}
Requires: texlive-collection-documentation-spanish = %{version}
Requires: texlive-collection-documentation-thai = %{version}
Requires: texlive-collection-documentation-turkish = %{version}
Requires: texlive-collection-documentation-ukrainian = %{version}
Requires: texlive-collection-documentation-vietnamese = %{version}
Requires: texlive-collection-fontsextra-doc = %{version}
Requires: texlive-collection-fontsrecommended-doc = %{version}
Requires: texlive-collection-fontutils-doc = %{version}
Requires: texlive-collection-formatsextra-doc = %{version}
Requires: texlive-collection-games-doc = %{version}
Requires: texlive-collection-genericextra-doc = %{version}
Requires: texlive-collection-genericrecommended-doc = %{version}
Requires: texlive-collection-htmlxml-doc = %{version}
Requires: texlive-collection-humanities-doc = %{version}
Requires: texlive-collection-langafrican-doc = %{version}
Requires: texlive-collection-langarabic-doc = %{version}
Requires: texlive-collection-langarmenian-doc = %{version}
Requires: texlive-collection-langcjk-doc = %{version}
Requires: texlive-collection-langcroatian-doc = %{version}
Requires: texlive-collection-langcyrillic-doc = %{version}
Requires: texlive-collection-langczechslovak-doc = %{version}
Requires: texlive-collection-langfrench-doc = %{version}
Requires: texlive-collection-langgerman-doc = %{version}
Requires: texlive-collection-langgreek-doc = %{version}
Requires: texlive-collection-langhebrew-doc = %{version}
Requires: texlive-collection-langhungarian-doc = %{version}
Requires: texlive-collection-langindic-doc = %{version}
Requires: texlive-collection-langitalian-doc = %{version}
Requires: texlive-collection-langlithuanian-doc = %{version}
Requires: texlive-collection-langmongolian-doc = %{version}
Requires: texlive-collection-langpolish-doc = %{version}
Requires: texlive-collection-langportuguese-doc = %{version}
Requires: texlive-collection-langspanish-doc = %{version}
Requires: texlive-collection-langswedish-doc = %{version}
Requires: texlive-collection-langtibetan-doc = %{version}
Requires: texlive-collection-langvietnamese-doc = %{version}
Requires: texlive-collection-latex-doc = %{version}
Requires: texlive-collection-latex3-doc = %{version}
Requires: texlive-collection-latexextra-doc = %{version}
Requires: texlive-collection-latexrecommended-doc = %{version}
Requires: texlive-collection-luatex-doc = %{version}
Requires: texlive-collection-mathextra-doc = %{version}
Requires: texlive-collection-metapost-doc = %{version}
Requires: texlive-collection-music-doc = %{version}
Requires: texlive-collection-omega-doc = %{version}
Requires: texlive-collection-pictures-doc = %{version}
Requires: texlive-collection-plainextra-doc = %{version}
Requires: texlive-collection-pstricks-doc = %{version}
Requires: texlive-collection-publishers-doc = %{version}
Requires: texlive-collection-science-doc = %{version}
Requires: texlive-collection-xetex-doc = %{version}

%description doc
This package is a virtual package to install documentation packages of %{name}. 

%description doc -l ja
%{name} のドキュメントパッケージのための仮想パッケージです。

%files

%files doc


%changelog
* Sun Aug 08 2010 Munehiro Yamamoto <munepi@vinelinux.org> 2009-1
- initial release
